Subject: Re: linux-next: build failure after merge of the tty tree

From: Alan Cox <[email-masked]>
Date: Thu, 26 Jul 2012 01:25:02 +0100

On Thu, 26 Jul 2012 08:51:27 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Greg, Alan,
> 
> [Sorry, Alan, I forgot to cc you the first time around.]
> 
> On Fri, 20 Jul 2012 13:33:49 +1000 Stephen Rothwell
> <[email-masked]> wrote:
> >
> > After merging the tty tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/staging/serqt_usb2/serqt_usb2.c: In function
> > 'qt_set_termios': drivers/staging/serqt_usb2/serqt_usb2.c:1198:29:
> > error: incompatible types when initializing type 'struct ktermios
> > *' using type 'struct ktermios'
> > drivers/staging/serqt_usb2/serqt_usb2.c:1304:14: error: invalid
> > type argument of '->' (have 'struct ktermios')
> > 

I sent you a fix for that one (I've not done the ipoctal one yet)

Alan